# Uses of Class
org.springframework.aop.framework.adapter.UnknownAdviceTypeException

Packages that use UnknownAdviceTypeException
Package
Description
org.springframework.aop.framework.adapter
SPI package allowing Spring AOP framework to handle arbitrary advice types.

## Uses of UnknownAdviceTypeException in org.springframework.aop.framework.adapter

Methods in org.springframework.aop.framework.adapter that throw UnknownAdviceTypeException
Modifier and Type
Method
Description
`MethodInterceptor[]`
AdvisorAdapterRegistry.`getInterceptors(Advisor advisor)`
Return an array of AOP Alliance MethodInterceptors to allow use of the given Advisor in an interception-based framework.
`MethodInterceptor[]`
DefaultAdvisorAdapterRegistry.`getInterceptors(Advisor advisor)`
`Advisor`
AdvisorAdapterRegistry.`wrap(Object advice)`
Return an `Advisor` wrapping the given advice.
`Advisor`
DefaultAdvisorAdapterRegistry.`wrap(Object adviceObject)`